# Function useMinilinksQuery

- useMinilinksQuery<L>(ml, query, options?): any

- React hook. Returns reactiviely links from minilinks, by query in deeplinks dialect. Recalculates when query changes. (Take query into useMemo!).

  #### Type Parameters

  - L extends Link<Id>

  #### Parameters

  - ml: any
  - query: Id | QueryLink
  - `Optional` options: MinilinksQueryOptions<MinilinksQueryOptionAggregate>

  #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:1048